Bug 745399 (CVE-2011-3544)

Summary: CVE-2011-3544 OpenJDK: missing SecurityManager checks in scripting engine (Scripting, 7046823)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ahughes, aph, dbhole, jon.vanalten, jvanek, mjc, rnelson, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20111018,reported=20111012,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-4.9/java-1.6.0-sun=affected,rhel-5.8/java-1.6.0-sun=affected,rhel-6.2/java-1.6.0-sun=affected,rhel-4/java-1.4.2-ibm=notaffected,rhel-5/java-1.4.2-ibm=notaffected,rhel-6/java-1.4.2-ibm-sap=notaffected,rhel-4/java-1.5.0-ibm=notaffected,rhel-5/java-1.5.0-ibm=notaffected,rhel-6/java-1.5.0-ibm=notaffected,rhel-4.9/java-1.6.0-ibm=affected,rhel-5.8/java-1.6.0-ibm=affected,rhel-6.3/java-1.6.0-ibm=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-14 08:51:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 744786, 744787, 744788, 744789, 744819, 744820, 744822, 769184, 769185, 769186    
Bug Blocks: 744688    

Description Tomas Hoger 2011-10-12 05:09:24 EDT
It was discovered that Java ScriptingEngine did not implement required SecurityManager checks.  A malicious applet or application should use this flaw to bypass SecurityManager restriction and execute arbitrary code with the privileges of Java Virtual Machine.
Comment 3 Vincent Danen 2011-10-18 16:46:29 EDT
External References:

http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html
Comment 4 errata-xmlrpc 2011-10-18 19:26:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:1380 https://rhn.redhat.com/errata/RHSA-2011-1380.html
Comment 6 errata-xmlrpc 2011-10-19 13:22:43 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:1384 https://rhn.redhat.com/errata/RHSA-2011-1384.html
Comment 7 Fedora Update System 2011-11-04 21:26:26 EDT
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2012-01-18 14:25:59 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0034 https://rhn.redhat.com/errata/RHSA-2012-0034.html
Comment 11 errata-xmlrpc 2013-10-23 13:00:54 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html